Bug 607015

Summary: Review Request: python-hcs_utils - A collection of useful python snippets for hcs's projects
Product: [Fedora] Fedora Reporter: Howard Ning <mrlhwliberty>
Component: Package ReviewAssignee: Chen Lei <supercyper1>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, supercyper1
Target Milestone: ---Flags: supercyper1: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-hcs_utils-1.1.1-3.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-09 01:21:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Howard Ning 2010-06-22 23:35:05 UTC
Spec URL: http://helloworld1.fedorapeople.org/goobook.spec
SRPM URL: http://helloworld1.fedorapeople.org/hcs_utils-1.2-0.1.rc4.fc13.noarch.rpm
Description: 

This collection of python snippets includes:
* memoize decorator (caching)
* a storage class wrapping a dict.
* unittest assert functions.
* Functions for handling large JSON documents.
* list_dir(path) –> (dirnames, filenames)
* PID file locking
* A synchronization decorator

Note: This package is needed by goobook.  Reviewers please review them together.

Comment 1 Howard Ning 2010-06-22 23:36:50 UTC
goobook's review request is here:
https://bugzilla.redhat.com/show_bug.cgi?id=607016

Comment 2 Howard Ning 2010-06-22 23:38:38 UTC
Sorry, I have posted wrong link to the SRPM.

http://helloworld1.fedorapeople.org/hcs_utils-1.2-0.1.rc4.fc13.src.rpm

Comment 3 Howard Ning 2010-07-25 11:55:25 UTC
Official release of goobook 1.3 requires hcs_utils 1.1.1. So I have *updated* to 1.1.1. 

http://helloworld1.fedorapeople.org/hcs_utils.spec
http://helloworld1.fedorapeople.org/hcs_utils-1.1.1-1.fc13.src.rpm

Comment 5 Chen Lei 2010-08-06 12:18:56 UTC
Only one minor issue:

BuildRequires:	python-setuptools-devel
->BuildRequires:	python-setuptools

rpm -q --whatprovides python-setuptools-devel
python-setuptools-0.6.13-5.fc13.noarch

Comment 7 Chen Lei 2010-08-06 12:40:51 UTC
Approved!

Comment 8 Howard Ning 2010-08-22 01:36:49 UTC
New Package SCM Request
=======================
Package Name: python-hcs_utils
Short Description:  A collection of useful python snippets for hcs's projects
Owners: helloworld1
Branches: f12 f13 f14
InitialCC:

Comment 9 Kevin Fenzi 2010-08-23 20:59:55 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-08-23 22:36:58 UTC
python-hcs_utils-1.1.1-3.fc14,goobook-1.3-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/python-hcs_utils-1.1.1-3.fc14,goobook-1.3-4.fc14

Comment 11 Fedora Update System 2010-08-23 22:38:07 UTC
goobook-1.3-4.fc13,python-hcs_utils-1.1.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/goobook-1.3-4.fc13,python-hcs_utils-1.1.1-3.fc13

Comment 12 Fedora Update System 2010-08-24 21:16:27 UTC
goobook-1.3-4.fc13, python-hcs_utils-1.1.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update goobook python-hcs_utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/goobook-1.3-4.fc13,python-hcs_utils-1.1.1-3.fc13

Comment 13 Fedora Update System 2010-09-09 01:21:36 UTC
python-hcs_utils-1.1.1-3.fc13, goobook-1.3-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-09-09 04:34:44 UTC
python-hcs_utils-1.1.1-3.fc14, goobook-1.3-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.